uk.gov.hmrc.address.osgb

# DbAddress

###
Related Docs: object DbAddress | package osgb

#### case class DbAddress(id: String, lines: List[String], town: Option[String], postcode: String, subdivision: Option[String], country: Option[String], localCustodianCode: Option[Int], language: Option[String], blpuState: Option[Int], logicalState: Option[Int], streetClass: Option[Int], blpuClass: Option[String], location: Option[String], poBox: Option[String] = None, administrativeArea: Option[String] = None) extends Document with Product with Serializable

Address typically represents a postal address. For UK addresses, 'town' will always be present. For non-UK addresses, 'town' may be absent and there may be an extra line instead.

Linear Supertypes
Serializable, Serializable, Product, Equals, Document, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DbAddress
2. Serializable
3. Serializable
4. Product
5. Equals
6. Document
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new DbAddress(id: String, lines: List[String], town: Option[String], postcode: String, subdivision: Option[String], country: Option[String], localCustodianCode: Option[Int], language: Option[String], blpuState: Option[Int], logicalState: Option[Int], streetClass: Option[Int], blpuClass: Option[String], location: Option[String], poBox: Option[String] = None, administrativeArea: Option[String] = None)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val administrativeArea: Option[String]

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### val blpuClass: Option[String]

7. #### val blpuState: Option[Int]

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### val country: Option[String]

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### def forElasticsearch: Map[String, Any]

13. #### def forMongoDb: List[(String, Any)]

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### val id: String

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### val language: Option[String]

18. #### def latLong: Option[LatLong]

19. #### def line1: String

20. #### def line2: String

21. #### def line3: String

22. #### val lines: List[String]

23. #### def linesContainIgnoreCase(filterStr: String): Boolean

24. #### val localCustodianCode: Option[Int]

25. #### val location: Option[String]

26. #### val logicalState: Option[Int]

27. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

28. #### def normalise: DbAddress

    Definition Classes
      DbAddress → Document

29. #### final def notify(): Unit

    Definition Classes
      AnyRef

30. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

31. #### val poBox: Option[String]

32. #### val postcode: String

33. #### def splitPostcode: Postcode

34. #### val streetClass: Option[Int]

35. #### val subdivision: Option[String]

36. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

37. #### final def toMap: Map[String, Any]

    Definition Classes
      Document

38. #### val town: Option[String]

39. #### def tupled: List[(String, Any)]

    Definition Classes
      DbAddress → Document

40. #### def tupledFlat: List[(String, Any)]

41. #### def uprn: Long

42. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

44. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Document

### Inherited from AnyRef

### Inherited from Any

### Ungrouped